(TeX-add-style-hook
 "kblocks"
 (lambda ()
   (TeX-run-style-hooks
    "tikz"
    "circuitikz")
   (TeX-add-symbols
    '("sfgCLink" ["argument"] 3)
    '("sfgCLinkFlip" ["argument"] 3)
    '("sfgLinkSelfD" ["argument"] 1)
    '("sfgLinkSelfU" ["argument"] 1)
    '("sfgLinkSelfL" ["argument"] 1)
    '("sfgLinkSelfR" ["argument"] 1)
    '("sfgNodeD" ["argument"] 4)
    '("sfgNodeU" ["argument"] 4)
    '("sfgNodeL" ["argument"] 4)
    '("sfgNodeR" ["argument"] 4)
    '("kOutDown" ["argument"] 4)
    '("kOutUp" ["argument"] 4)
    '("kOutLeft" ["argument"] 4)
    '("kOutRight" ["argument"] 4)
    '("kInDown" ["argument"] 4)
    '("kInUp" ["argument"] 4)
    '("kInLeft" ["argument"] 4)
    '("kInRight" ["argument"] 4)
    '("kLinkVHHVBelow" ["argument"] 5)
    '("kLinkVHHVAbove" ["argument"] 5)
    '("kLinkHVHLeft" ["argument"] 5)
    '("kLinkHVHRight" ["argument"] 5)
    '("kLinkVH" ["argument"] 4)
    '("kLinkHV" ["argument"] 4)
    '("kLinkn" ["argument"] 2)
    '("kLink" ["argument"] 2)
    '("kJumpCSBelow" ["argument"] 4)
    '("kJumpCSAbove" ["argument"] 4)
    '("kJumpCSLeft" ["argument"] 4)
    '("kJumpCSRight" ["argument"] 4)
    '("kMarkNodeBelow" ["argument"] 3)
    '("kMarkNodeAbove" ["argument"] 3)
    '("kMarkNodeLeft" ["argument"] 3)
    '("kMarkNodeRight" ["argument"] 3)
    '("kTFBelow" ["argument"] 3)
    '("kTFAbove" ["argument"] 3)
    '("kTFLeft" ["argument"] 3)
    '("kTFRight" ["argument"] 3)
    '("kGain" ["argument"] 3)
    '("kCoverRect" ["argument"] 5)
    '("kStartNodec" ["argument"] 2)
    '("kStartNode" ["argument"] 1)
    '("kScaleDistX" ["argument"] 0)
    '("kScaleDistY" ["argument"] 0)
    '("sfgNStart" 3)
    '("sfgStart" 3)
    '("kLinkCrossRightBelow" 2)
    '("kLinkCrossRightAbove" 2)
    '("kLinkCrossLeftBelow" 2)
    '("kLinkCrossLeftAbove" 2)
    '("kLinkVHTFHVAboveRight" 8)
    '("kLinkVHTFHVAbove" 8)
    '("kLinkVHTFHVBelowRight" 8)
    '("kLinkVHTFHVBelow" 8)
    '("kJumpCS" 2)
    '("kTFBelowLeft" 5)
    '("kTFAboveLeft" 5)
    '("kTFBelowRight" 5)
    '("kTFAboveRight" 5)
    '("kTFCs" 3)
    '("kTF" 2)
    '("kPlusPlusPlus" 3)
    '("kPlusMinusPlus" 3)
    '("kPlusMinusMinus" 3)
    '("kPlusPlusMinus" 3)
    '("kPlusPlusUp" 3)
    '("kPlusMinusUp" 3)
    '("kMinusMinusUp" 3)
    '("kMinusPlusUp" 3)
    '("kPlusPlusDown" 3)
    '("kPlusMinusDown" 3)
    '("kMinusMinusDown" 3)
    '("kMinusPlusDown" 3)
    '("kCoverTextBelow" 5)
    '("kCoverTextAbove" 5)
    '("kCoverTextLeft" 5)
    '("kCoverTextRight" 5)
    '("ExtractCoordinate" 1)
    '("kColorL" 1)
    '("kColorT" 1)
    '("kColorB" 1)
    "horizdist"
    "sfghorizdist"
    "verticdist"
    "phasedist"
    "minheight"
    "textsize"
    "backgroundcolor"
    "colortext"
    "linecolor"
    "dark"
    "linetype"
    "linepathtype"
    "kShadow"
    "xc"
    "yc"
    "xn"
    "yn"
    "xs"
    "ys"
    "xw"
    "yw"
    "xe"
    "ye"
    "xonw"
    "xone"
    "xose"
    "xosw"
    "xon"
    "yon"
    "xos"
    "yos"
    "xca"
    "yca"
    "xcb"
    "ycb"
    "xcr"
    "dn"
    "ds"
    "dw"
    "de"
    "dyt"
    "dxt"
    "dxpm"
    "dytfb"
    "dytf"
    "dxtf"
    "dxnr"
    "dxnl"
    "dxna"
    "dxnb"
    "dxj"
    "direct"
    "dxr"
    "dxl"
    "dxb"
    "dxina"
    "dxinr"
    "dxoutr")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("CJK" LaTeX-env-args ["argument"] 2)
    '("colorstrip" LaTeX-env-args ["argument"] 1)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("ditaa" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("docsidebar" LaTeX-env-args ["argument"] 0)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("problemset" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("exercise" LaTeX-env-args ["argument"] 0)
    '("example" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)
    '("solutionorgrid" LaTeX-env-args ["argument"] 0)
    '("solutionordottedlines" LaTeX-env-args ["argument"] 0)
    '("solutionorlines" LaTeX-env-args ["argument"] 0)
    '("solutionorbox" LaTeX-env-args ["argument"] 0)
    '("solution" LaTeX-env-args ["argument"] 0)
    '("multiplechoice" LaTeX-env-args ["argument"] 0)
    '("shortanswer" LaTeX-env-args ["argument"] 0)
    '("truefalse" LaTeX-env-args ["argument"] 0)
    '("fillin" LaTeX-env-args ["argument"] 0)
    '("matching" LaTeX-env-args ["argument"] 0)
    '("subexercise" LaTeX-env-args ["argument"] 0)
    '("solutionseries" LaTeX-env-args ["argument"] 2)
    '("exerciseseries" LaTeX-env-args ["argument"] 1)
    '("exercises" LaTeX-env-args ["argument"] 0)
    '("flagderiv" LaTeX-env-args ["argument"] 0)
    '("flashcard" LaTeX-env-args ["argument"] 1)
    '("fullminipage" LaTeX-env-args ["argument"] 0)
    '("gmatrix" LaTeX-env-args ["argument"] 0)
    '("printunsrtglossarywrap" LaTeX-env-args ["argument"] 0)
    '("maszynopis" LaTeX-env-args ["argument"] 0)
    '("gnuplot" LaTeX-env-args ["argument"] 0)
    '("Encap" LaTeX-env-args ["argument"] 3)
    '("Row" LaTeX-env-args ["argument"] 0)
    '("row" LaTeX-env-args ["argument"] 2)
    '("arttitsub" LaTeX-env-args ["argument"] 2)
    '("artsubtit" LaTeX-env-args ["argument"] 2)
    '("art" LaTeX-env-args ["argument"] 1)
    '("widedesc" LaTeX-env-args ["argument"] 0)
    '("flexlist" LaTeX-env-args ["argument"] 1)
    '("hvFloatEnv" LaTeX-env-args ["argument"] 0)
    '("inctext" LaTeX-env-args ["argument"] 0)
    '("labeling" LaTeX-env-args ["argument"] 1)
    "kblock"))
 :latex)

