(TeX-add-style-hook
 "latexrelease"
 (lambda ()
   (TeX-run-style-hooks
    "expl3"
    "load-unicode-xetex-classes"
    "utf8")
   (TeX-add-symbols
    '("DeclareFontSeriesDefault" ["argument"] 2)
    '("begin" 1)
    '("Ref" 1)
    '("fontshapeforce" 1)
    '("fontshape" 1)
    '("fontseries" 1)
    '("fontseriesforce" 1)
    '("showhyphens" 1)
    '("oldstylenums" 1)
    '("legacyoldstylenums" 1)
    '("Bigg" 1)
    '("bigg" 1)
    '("Big" 1)
    '("big" 1)
    '("markright" 1)
    '("markboth" 2)
    '("textsubscript" 1)
    '("UseTextSymbol" 2)
    '("UseTextAccent" 3)
    '("IfFileExists" 1)
    '("thanks" 1)
    '("date" 1)
    '("author" 1)
    '("title" 1)
    '("pmatrix" 1)
    '("matrix" 1)
    '("cases" 1)
    '("raisebox" 1)
    '("savebox" 1)
    '("IfTargetDateBefore" 1)
    "pushtabs"
    "poptabs"
    "kill"
    "vphantom"
    "hphantom"
    "phantom"
    "mathstrut"
    "and"
    "pagebreak"
    "nopagebreak"
    "linebreak"
    "nolinebreak"
    "samepage"
    "bfseries"
    "mdseries"
    "rmfamily"
    "sffamily"
    "ttfamily"
    "em"
    "normalfont"
    "Declare"
    "fontshape"
    "centering"
    "raggedright"
    "raggedleft"
    "unicoderead"
    "XeTeXcharclassID"
    "XeTeXcharclassOP"
    "XeTeXcharclassCL"
    "XeTeXcharclassEX"
    "XeTeXcharclassIS"
    "XeTeXcharclassNS"
    "XeTeXcharclassCM"
    "DeclareRelease"
    "DeclareCurrentRelease"
    "IncludeInRelease"
    "EndIncludeInRelease"
    "requestedLaTeXdate"
    "requestedpatchdate"
    "fmtversion"
    "currentLaTeXdate"
    "MakeRobust"
    "makebox"
    "savebox"
    "framebox"
    "parbox"
    "rule"
    "raisebox"
    "addcontentsline"
    "noprotrusion"
    "normalsfcodes"
    "AtBeginDocument"
    "includeonly"
    "include"
    "DeclareTextCompositeCommand"
    "textcommabelow"
    "textcommaabove"
    "counterwithout"
    "counterwithin"
    "TextOrMath"
    "setlength"
    "textsubscript"
    "label"
    "index"
    "glossary"
    "firstmark"
    "topmark"
    "ExecuteOptions"
    "filecontents"
    "write"
    "closeout"
    "noexpand"
    "L"
    "I"
    "addpenalty"
    "thinspace"
    "negthinspace"
    "enspace"
    "newcount"
    "newdimen"
    "newskip"
    "newmuskip"
    "newbox"
    "newtoks"
    "newread"
    "newwrite"
    "newlanguage"
    "newfam"
    "extrafloats"
    "newinsert"
    "tracingnone"
    "hideoutput"
    "DeclareMathAccent"
    "DeclareFontSeriesDefault"
    "DeclareEmphSequence"
    "emreset"
    "emforce"
    "eminnershape"
    "big"
    "Big"
    "bigg"
    "Bigg"
    "textulc"
    "textsw"
    "textssc"
    "legacyoldstylenums"
    "textcompsubstdefault"
    "DeclareEncodingSubset"
    "CheckEncodingSubset"
    "textbrokenbar"
    "textcent"
    "textdegree"
    "textdiv"
    "textlnot"
    "textonehalf"
    "textonequarter"
    "textpm"
    "textquotesingle"
    "textquotestraightbase"
    "textquotestraightdblbase"
    "textthreequarters"
    "texttimes"
    "textyen"
    "textcapitalcompwordmark"
    "textascendercompwordmark"
    "capitalacute"
    "capitalbreve"
    "capitalcaron"
    "capitalcedilla"
    "capitalcircumflex"
    "capitaldieresis"
    "capitaldotaccent"
    "capitalgrave"
    "capitalhungarumlaut"
    "capitalmacron"
    "capitalnewtie"
    "capitalogonek"
    "capitalring"
    "capitaltie"
    "capitaltilde"
    "newtie"
    "textlbrackdbl"
    "textrbrackdbl"
    "texteightoldstyle"
    "textfiveoldstyle"
    "textfouroldstyle"
    "textnineoldstyle"
    "textoneoldstyle"
    "textsevenoldstyle"
    "textsixoldstyle"
    "textthreeoldstyle"
    "texttwooldstyle"
    "textzerooldstyle"
    "textacutedbl"
    "textasciiacute"
    "textasciibreve"
    "textasciicaron"
    "textasciidieresis"
    "textasciigrave"
    "textasciimacron"
    "textgravedbl"
    "texttildelow"
    "textbaht"
    "textbigcircle"
    "textborn"
    "textcentoldstyle"
    "textcircledP"
    "textcopyleft"
    "textdblhyphenchar"
    "textdblhyphen"
    "textdied"
    "textdiscount"
    "textdivorced"
    "textdollaroldstyle"
    "textguarani"
    "textleaf"
    "textlquill"
    "textmarried"
    "textmho"
    "textmusicalnote"
    "textnaira"
    "textopenbullet"
    "textpeso"
    "textpilcrow"
    "textrecipe"
    "textreferencemark"
    "textrquill"
    "textservicemark"
    "textsurd"
    "textlangle"
    "textrangle"
    "textcolonmonetary"
    "textdong"
    "textdownarrow"
    "textleftarrow"
    "textlira"
    "textrightarrow"
    "textuparrow"
    "textwon"
    "textestimated"
    "textnumero"
    "textflorin"
    "textcurrency"
    "textfractionsolidus"
    "textohm"
    "textmu"
    "textminus"
    "textblank"
    "textinterrobangdown"
    "textinterrobang"
    "texteuro"
    "textcelsius"
    "textonesuperior"
    "textthreequartersemdash"
    "textthreesuperior"
    "texttwelveudash"
    "texttwosuperior"
    "textbardbl"
    "UseLegacyTextSymbols"
    "textlegacyasteriskcentered"
    "textlegacybardbl"
    "textlegacybullet"
    "textlegacydaggerdbl"
    "textlegacydagger"
    "textlegacyparagraph"
    "textlegacyperiodcentered"
    "textlegacysection"
    "LoadFontDefinitionFile"
    "DeclareFontFamilySubstitution"
    "DeclareErrorFont"
    "upshape"
    "slshape"
    "scshape"
    "itshape"
    "fontseriesforce"
    "fontshapeforce"
    "DeclareFontSeriesChangeRule"
    "DeclareFontShapeChangeRule"
    "ulcshape"
    "ulcdefault"
    "swshape"
    "swdefault"
    "sscshape"
    "sscdefault"
    "normalshape"
    "newmathalphabet"
    "addtoversion"
    "refstepcounter"
    "labelformat"
    "Ref"
    "asciispace"
    "verbvisiblespace"
    "verb"
    "setrangecatcode"
    "parseunicodedataI"
    "parseunicodedataII"
    "parseunicodedataIII"
    "parseunicodedataIV"
    "parseunicodedataV"
    "storedpar"
    "newattribute"
    "setattribute"
    "unsetattribute"
    "newcatcodetable"
    "newluafunction"
    "newwhatsit"
    "newluabytecode"
    "newluachunkname"
    "string"
    "encodingdefault"
    "newmarks"
    "newXeTeXintercharclass"
    "xtxHanGlue"
    "xtxHanSpace"
    "DeclareUnicodeCharacter"
    "IeC"
    "UseRawInputEncoding"
    "inputencodingname")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)))
 :latex)

