(TeX-add-style-hook
 "acro-manual"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-class-options
                     '(("cnltx-doc" "load-preamble" "add-index")))
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("inputenc" "utf8") ("biblatex" "backend=biber" "style=cnltx" "sortlocale=en_US" "indexing=cite") ("embrac" "biblatex")))
   (TeX-run-style-hooks
    "latex2e"
    "{"
    "cnltx-doc"
    "cnltx-doc10"
    "imakeidx"
    "inputenc"
    "acro"
    "fontawesome"
    "datetime2"
    "tcolorbox"
    "xsimverb"
    "biblatex"
    "csquotes"
    "varioref"
    "embrac"
    "longtable"
    "array"
    "booktabs"
    "enumitem"
    "amssymb")
   (TeX-add-symbols
    '("mailto" 1)
    '("h" 1)
    "cnltx"
    "boolprop"
    "versionstar"
    "TF"
    "acroman"
    "propert"
    "propval"
    "proplit"
    "propchoice"
    "propbool"
    "command")
   (LaTeX-add-environments
    "properties"))
 :latex)

