(TeX-add-style-hook
 "lwarp-physics"
 (lambda ()
   (TeX-add-symbols
    '("antidiagonalmatrix" ["argument"] 1)
    '("diagonalmatrix" ["argument"] 1)
    '("functionalderivative" ["argument"] 2)
    '("partialderivative" ["argument"] 2)
    '("derivative" ["argument"] 2)
    '("differential" ["argument"] 0)
    '("acot" ["argument"] 0)
    '("arccot" ["argument"] 0)
    '("coth" ["argument"] 0)
    '("cot" ["argument"] 0)
    '("asec" ["argument"] 0)
    '("arcsec" ["argument"] 0)
    '("sech" ["argument"] 0)
    '("sec" ["argument"] 0)
    '("acsc" ["argument"] 0)
    '("arccsc" ["argument"] 0)
    '("csch" ["argument"] 0)
    '("csc" ["argument"] 0)
    '("atan" ["argument"] 0)
    '("arctan" ["argument"] 0)
    '("tanh" ["argument"] 0)
    '("tan" ["argument"] 0)
    '("acos" ["argument"] 0)
    '("arccos" ["argument"] 0)
    '("cosh" ["argument"] 0)
    '("cos" ["argument"] 0)
    '("asin" ["argument"] 0)
    '("arcsin" ["argument"] 0)
    '("sinh" ["argument"] 0)
    '("sin" ["argument"] 0)
    '("paulimatrix" 1)
    '("zeromatrix" 2)
    '("xmatrix" 3)
    '("identitymatrix" 1)
    '("svmqty" 1)
    '("sbmqty" 1)
    '("sPmqty" 1)
    '("spmqty" 1)
    '("smallmatrixquantity" 1)
    '("vmqty" 1)
    '("bmqty" 1)
    '("Pmqty" 1)
    '("pmqty" 1)
    '("matrixquantity" 1)
    '("matrixelement" 3)
    '("expectationvalue" 2)
    '("outerproduct" 2)
    '("innerproduct" 2)
    '("ket" 1)
    '("bra" 1)
    '("qqtext" 1)
    '("Im" 1)
    '("Re" 1)
    '("vectorunit" 1)
    '("vectorarrow" 1)
    '("vectorbold" 1)
    '("anticommutator" 2)
    '("commutator" 2)
    '("order" 1)
    '("evaluated" 1)
    '("norm" 1)
    '("absolutevalue" 1)
    '("Bqty" 1)
    '("vqty" 1)
    '("bqty" 1)
    '("pqty" 1)
    "quantity"
    "dotproduct"
    "crossproduct"
    "gradient"
    "divergence"
    "curl"
    "laplacian"
    "sine"
    "cosine"
    "tangent"
    "cosecant"
    "secant"
    "cotangent"
    "arcsine"
    "arccosine"
    "arctangent"
    "hypsine"
    "hypcosine"
    "hyptangent"
    "hypcotangent"
    "exponential"
    "logarithm"
    "naturallogarithm"
    "determinant"
    "Probability"
    "arccsc"
    "arcsec"
    "arccot"
    "asin"
    "acos"
    "atan"
    "acsc"
    "asec"
    "acot"
    "csch"
    "sech"
    "Res"
    "trace"
    "Trace"
    "rank"
    "erf"
    "Residue"
    "principalvalue"
    "PV"
    "real"
    "imaginary"
    "qqcomma"
    "qif"
    "qthen"
    "qelse"
    "qotherwise"
    "qunless"
    "qgiven"
    "qusing"
    "qassume"
    "qsince"
    "qlet"
    "qfor"
    "qall"
    "qeven"
    "qodd"
    "qinteger"
    "qand"
    "qor"
    "qas"
    "qin"
    "variation"
    "qty"
    "abs"
    "eval"
    "comm"
    "acomm"
    "poissonbracket"
    "pb"
    "vb"
    "va"
    "vdot"
    "cross"
    "cp"
    "grad"
    "divisionsymbol"
    "div"
    "tr"
    "Tr"
    "pv"
    "qq"
    "qc"
    "qcc"
    "dd"
    "dv"
    "pderivative"
    "pdv"
    "var"
    "fdv"
    "braket"
    "ip"
    "dyad"
    "op"
    "expval"
    "ev"
    "mel"
    "mqty"
    "smqty"
    "matrixdeterminant"
    "mdet"
    "smdet"
    "imat"
    "xmat"
    "zmat"
    "pmat"
    "dmat"
    "admat")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("CJK" LaTeX-env-args ["argument"] 2)
    '("colorstrip" LaTeX-env-args ["argument"] 1)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("ditaa" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("docsidebar" LaTeX-env-args ["argument"] 0)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("problemset" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("exercise" LaTeX-env-args ["argument"] 0)
    '("example" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)
    '("solutionorgrid" LaTeX-env-args ["argument"] 0)
    '("solutionordottedlines" LaTeX-env-args ["argument"] 0)
    '("solutionorlines" LaTeX-env-args ["argument"] 0)
    '("solutionorbox" LaTeX-env-args ["argument"] 0)
    '("solution" LaTeX-env-args ["argument"] 0)
    '("multiplechoice" LaTeX-env-args ["argument"] 0)
    '("shortanswer" LaTeX-env-args ["argument"] 0)
    '("truefalse" LaTeX-env-args ["argument"] 0)
    '("fillin" LaTeX-env-args ["argument"] 0)
    '("matching" LaTeX-env-args ["argument"] 0)
    '("subexercise" LaTeX-env-args ["argument"] 0)
    '("solutionseries" LaTeX-env-args ["argument"] 2)
    '("exerciseseries" LaTeX-env-args ["argument"] 1)
    '("exercises" LaTeX-env-args ["argument"] 0)
    '("flagderiv" LaTeX-env-args ["argument"] 0)
    '("flashcard" LaTeX-env-args ["argument"] 1)
    '("fullminipage" LaTeX-env-args ["argument"] 0)
    '("gmatrix" LaTeX-env-args ["argument"] 0)
    '("printunsrtglossarywrap" LaTeX-env-args ["argument"] 0)
    '("maszynopis" LaTeX-env-args ["argument"] 0)
    '("gnuplot" LaTeX-env-args ["argument"] 0)
    '("Encap" LaTeX-env-args ["argument"] 3)
    '("Row" LaTeX-env-args ["argument"] 0)
    '("row" LaTeX-env-args ["argument"] 2)
    '("arttitsub" LaTeX-env-args ["argument"] 2)
    '("artsubtit" LaTeX-env-args ["argument"] 2)
    '("art" LaTeX-env-args ["argument"] 1)
    '("widedesc" LaTeX-env-args ["argument"] 0)
    '("flexlist" LaTeX-env-args ["argument"] 1)
    '("hvFloatEnv" LaTeX-env-args ["argument"] 0)
    '("inctext" LaTeX-env-args ["argument"] 0)
    '("labeling" LaTeX-env-args ["argument"] 1)
    '("KeyValTable" LaTeX-env-args ["argument"] 1)
    '("pattern" LaTeX-env-args ["argument"] 2)
    '("letter" LaTeX-env-args ["argument"] 1)
    '("InstanceDescription" LaTeX-env-args ["argument"] 3)
    '("edtable" LaTeX-env-args ["argument"] 1)
    '("longbox" LaTeX-env-args ["argument"] 0)
    '("longfbox" LaTeX-env-args ["argument"] 0)
    '("lpic" LaTeX-env-args ["argument"] 1)
    '("FullLsc" LaTeX-env-args ["argument"] 7)
    '("Lsc" LaTeX-env-args ["argument"] 3)
    '("lsccreateinst" LaTeX-env-args ["argument"] 3)
    '("lscinst" LaTeX-env-args ["argument"] 1)
    '("simregion" LaTeX-env-args ["argument"] 0)
    '("coregion" LaTeX-env-args ["argument"] 0)
    '("ltssidetoks" LaTeX-env-args ["argument"] 1)
    '("ltsfnquote" LaTeX-env-args ["argument"] 0)
    '("subfloatrow" LaTeX-env-args ["argument"] 0)
    '("floatrow" LaTeX-env-args ["argument"] 0)
    '("fullwidth" LaTeX-env-args ["argument"] 0)
    '("longtable" LaTeX-env-args ["argument"] 1)
    '("multlined" LaTeX-env-args ["argument"] 0)
    '("Vsmallmatrix" LaTeX-env-args ["argument"] 0)
    '("vsmallmatrix" LaTeX-env-args ["argument"] 0)
    '("Bsmallmatrix" LaTeX-env-args ["argument"] 0)
    '("bsmallmatrix" LaTeX-env-args ["argument"] 0)
    '("psmallmatrix" LaTeX-env-args ["argument"] 0)
    '("strip" LaTeX-env-args ["argument"] 0)
    '("system" LaTeX-env-args ["argument"] 0)
    '("darray" LaTeX-env-args ["argument"] 1)
    '("fleqn" LaTeX-env-args ["argument"] 0)
    '("Parallel" LaTeX-env-args ["argument"] 2)
    '("parcolumns" LaTeX-env-args ["argument"] 1)
    '("pdfsidelinecomment" LaTeX-env-args ["argument"] 1)))
 :latex)

